### Kits Addon, by MCPE_Map_Maker

## phoenix
execute as @a[tag=is_phoenix] at @s run scoreboard players set @s morph 3

# effects while phoenix
effect @a[tag=is_phoenix] fire_resistance 1 100 true
effect @a[tag=is_phoenix] weakness 1 255 true
effect @a[tag=is_phoenix] mining_fatigue 1 100 true
effect @a[tag=is_phoenix,tag=on_ground] slowness 1 2 true

# phoenix timer
scoreboard objectives add phoenix_timer dummy
scoreboard players add @a[tag=in_morph,tag=is_phoenix] phoenix_timer 0
scoreboard players add @a[scores={tick_timer=19},tag=in_morph,tag=is_phoenix] phoenix_timer 1
scoreboard players set @a[scores={phoenix_timer=3},tag=in_morph,tag=is_phoenix] phoenix_timer 0

# random flap animation
scoreboard objectives add phoenix_flap dummy
execute as @a[scores={tick_timer=19,phoenix_timer=0},tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=45,rxm=-10] at @s run scoreboard players random @s phoenix_flap 0 2
execute as @a[scores={tick_timer=19,phoenix_timer=1,phoenix_flap=2},tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=45,rxm=-10] at @s run event entity @s kits:phoenix_flap
execute as @a[scores={tick_timer=5,phoenix_timer=2},tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=45,rxm=-10] at @s run event entity @s kits:phoenix_normal
execute as @a[scores={tick_timer=5,phoenix_timer=2},tag=in_morph,tag=is_phoenix] at @s run scoreboard players set @s phoenix_flap 0

# phoenix fly animations and effects
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_up
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_normal
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_down
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_down_fast
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_normal
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_up
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_down
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_down_fast
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_down
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_up
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_normal
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_down_fast
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_down_fast
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_up
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_normal
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_phoenix] at @s run tag @s remove fly_down

execute as @a[tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=-35,rxm=-90] at @s run effect @s levitation 1 9 true
execute as @a[tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=-10,rxm=-35] at @s run effect @s levitation 1 5 true
execute as @a[tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=20,rxm=-10] at @s run effect @s levitation 1 0 true
execute as @a[tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=20,rxm=-10] at @s run effect @s slow_falling 1 0 true
execute as @a[tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=45,rxm=20] at @s run effect @s slow_falling 1 0 true
execute as @a[scores={tick_timer=19,phoenix_timer=1},tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=45,rxm=20] at @s run effect @s levitation 1 0 true
execute as @a[scores={tick_timer=19,phoenix_timer=0},tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=90,rxm=45] at @s run effect @s slow_falling 1 0 true
execute as @a[scores={tick_timer=19,phoenix_timer=2},tag=in_morph,tag=is_phoenix,tag=!on_ground,tag=!underwater,rx=90,rxm=45] at @s run effect @s slow_falling 1 0 true

# phoenix abilities
scoreboard objectives add phoenix_ability dummy
scoreboard objectives add phoenix_shield dummy

scoreboard players add @a[tag=in_morph,tag=is_phoenix] phoenix_ability 0
scoreboard players add @a[scores={phoenix_ability=1..}] phoenix_ability 1
#scoreboard players add @a[scores={phoenix_ability=1..},tag=in_morph,tag=is_phoenix] phoenix_ability 1

	# fireball, set score=1 (in item)
execute as @a[scores={phoenix_ability=1..2},tag=in_morph,tag=is_phoenix] at @s run event entity @s kits:phoenix_shoot_fireball_start
scoreboard players set @a[scores={phoenix_ability=56..60}] phoenix_ability 0
#scoreboard players set @a[scores={phoenix_ability=56..60},tag=in_morph,tag=is_phoenix] phoenix_ability 0

	# healing, set score=100 (in item)
execute as @a[scores={phoenix_ability=101..102},tag=in_morph,tag=is_phoenix] at @s run event entity @s kits:phoenix_heal
execute as @a[scores={phoenix_ability=101..102},tag=in_morph,tag=is_phoenix] at @s run scoreboard players set @s phoenix_shield 20
execute as @a[scores={phoenix_ability=101..102},tag=in_morph,tag=is_phoenix] at @s run event entity @s kits:has_shield
execute as @a[scores={phoenix_ability=110},tag=in_morph,tag=is_phoenix] at @s run particle minecraft:totem_particle ~~1~
execute as @a[scores={phoenix_ability=110},tag=in_morph,tag=is_phoenix] at @s run particle kits:phoenix_heal_fire ~~0.5~
execute as @a[scores={phoenix_ability=119},tag=in_morph,tag=is_phoenix] at @s run effect @s clear
execute as @a[scores={phoenix_ability=120},tag=in_morph,tag=is_phoenix] at @s run effect @s absorption 20 4 true
execute as @a[scores={phoenix_ability=120},tag=in_morph,tag=is_phoenix] at @s run effect @s instant_health 1 10 true
execute as @a[scores={phoenix_ability=120},tag=in_morph,tag=is_phoenix] at @s run effect @s saturation 1 10 true
execute as @a[scores={phoenix_ability=120},tag=in_morph,tag=is_phoenix] at @s run effect @s night_vision 20 0 true
execute as @a[scores={phoenix_ability=120},tag=in_morph,tag=is_phoenix] at @s run effect @s water_breathing 20 2 true
execute as @a[scores={phoenix_ability=140},tag=in_morph,tag=is_phoenix] at @s run event entity @s kits:phoenix_normal
scoreboard players set @a[scores={phoenix_ability=145..}] phoenix_ability 0
#scoreboard players set @a[scores={phoenix_ability=145..},tag=in_morph,tag=is_phoenix] phoenix_ability 0
execute as @a[scores={tick_timer=18,phoenix_shield=1}] at @s run event entity @s kits:has_no_shield
execute as @a[scores={tick_timer=19,phoenix_shield=1..}] at @s run scoreboard players add @s phoenix_shield -1


## falcon
execute as @a[tag=is_falcon] at @s run scoreboard players set @s morph 4

# effects while falcon
effect @a[tag=is_falcon] weakness 1 255 true
effect @a[tag=is_falcon] mining_fatigue 1 100 true
effect @a[tag=is_falcon,tag=on_ground] slowness 1 2 true

# falcon timer
scoreboard objectives add falcon_timer dummy
scoreboard players add @a[tag=in_morph,tag=is_falcon] falcon_timer 0
scoreboard players add @a[scores={tick_timer=19},tag=in_morph,tag=is_falcon] falcon_timer 1
scoreboard players set @a[scores={falcon_timer=3},tag=in_morph,tag=is_falcon] falcon_timer 0

# random flap animation
scoreboard objectives add falcon_flap dummy
execute as @a[scores={tick_timer=19,falcon_timer=0},tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=45,rxm=-10] at @s run scoreboard players random @s falcon_flap 0 2
execute as @a[scores={tick_timer=19,falcon_timer=1,falcon_flap=2},tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=45,rxm=-10] at @s run event entity @s kits:falcon_flap
execute as @a[scores={tick_timer=5,falcon_timer=2},tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=45,rxm=-10] at @s run event entity @s kits:falcon_normal
execute as @a[scores={tick_timer=5,falcon_timer=2},tag=in_morph,tag=is_falcon] at @s run scoreboard players set @s falcon_flap 0

# falcon fly animations and effects
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_up
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_normal
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_down
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_down_fast
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_normal
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_up
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_down
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_down_fast
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_down
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_up
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_normal
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_down_fast
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_down_fast
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_up
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_normal
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_falcon] at @s run tag @s remove fly_down

execute as @a[tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=-35,rxm=-90] at @s run effect @s levitation 1 9 true
execute as @a[tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=-10,rxm=-35] at @s run effect @s levitation 1 5 true
execute as @a[tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=20,rxm=-10] at @s run effect @s levitation 1 0 true
execute as @a[tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=20,rxm=-10] at @s run effect @s slow_falling 1 0 true
execute as @a[tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=45,rxm=20] at @s run effect @s slow_falling 1 0 true
execute as @a[scores={tick_timer=19,falcon_timer=1},tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=45,rxm=20] at @s run effect @s levitation 1 0 true
execute as @a[scores={tick_timer=19,falcon_timer=0},tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=90,rxm=45] at @s run effect @s slow_falling 1 0 true
execute as @a[scores={tick_timer=19,falcon_timer=2},tag=in_morph,tag=is_falcon,tag=!on_ground,tag=!underwater,rx=90,rxm=45] at @s run effect @s slow_falling 1 0 true


## owl
execute as @a[tag=is_owl] at @s run scoreboard players set @s morph 5

# effects while owl
effect @a[tag=is_owl] night_vision 15 0 true
effect @a[tag=is_owl] weakness 1 255 true
effect @a[tag=is_owl] mining_fatigue 1 100 true
effect @a[tag=is_owl,tag=on_ground] slowness 1 2 true

# owl timer
scoreboard objectives add owl_timer dummy
scoreboard players add @a[tag=in_morph,tag=is_owl] owl_timer 0
scoreboard players add @a[scores={tick_timer=19},tag=in_morph,tag=is_owl] owl_timer 1
scoreboard players set @a[scores={owl_timer=3},tag=in_morph,tag=is_owl] owl_timer 0

# random flap animation
scoreboard objectives add owl_flap dummy
execute as @a[scores={tick_timer=19,owl_timer=0},tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater,rx=45,rxm=-10] at @s run scoreboard players random @s owl_flap 0 2
execute as @a[scores={tick_timer=19,owl_timer=1,owl_flap=1..},tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater,rx=45,rxm=-10] at @s run event entity @s kits:owl_flap
execute as @a[scores={tick_timer=5,owl_timer=2},tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater,rx=45,rxm=-10] at @s run event entity @s kits:owl_normal
execute as @a[scores={tick_timer=5,owl_timer=2},tag=in_morph,tag=is_owl] at @s run scoreboard players set @s owl_flap 0

# owl fly animations and effects
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_up
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_normal
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_down
execute as @a[rx=-10,rxm=-90,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_down_fast
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_normal
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_up
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_down
execute as @a[rx=20,rxm=-10,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_down_fast
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_down
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_up
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_normal
execute as @a[rx=45,rxm=20,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_down_fast
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater] at @s run tag @s add fly_down_fast
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_up
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_normal
execute as @a[rx=90,rxm=45,tag=in_morph,tag=is_owl] at @s run tag @s remove fly_down

execute as @a[tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater,rx=-35,rxm=-90] at @s run effect @s levitation 1 9 true
execute as @a[tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater,rx=-10,rxm=-35] at @s run effect @s levitation 1 5 true
execute as @a[tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater,rx=20,rxm=-10] at @s run effect @s levitation 1 0 true
execute as @a[tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater,rx=20,rxm=-10] at @s run effect @s slow_falling 1 0 true
execute as @a[tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater,rx=45,rxm=20] at @s run effect @s slow_falling 1 0 true
execute as @a[scores={tick_timer=19,owl_timer=1},tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater,rx=45,rxm=20] at @s run effect @s levitation 1 0 true
execute as @a[tag=in_morph,tag=is_owl,tag=!on_ground,tag=!underwater,rx=90,rxm=45] at @s run effect @s slow_falling 1 0 true


## bat
execute as @a[tag=is_bat] at @s run scoreboard players set @s morph 6

# effects while bat
effect @a[tag=is_bat] night_vision 15 0 true
effect @a[tag=is_bat] weakness 1 255 true
effect @a[tag=is_bat] mining_fatigue 1 100 true

# bat timer
scoreboard objectives add bat_timer dummy
scoreboard players add @a[tag=in_morph,tag=is_bat] bat_timer 0
scoreboard players add @a[scores={tick_timer=19},tag=in_morph,tag=is_bat] bat_timer 1
scoreboard players set @a[scores={bat_timer=3},tag=in_morph,tag=is_bat] bat_timer 0

# bat fly effects
execute as @a[tag=in_morph,tag=is_bat,tag=!on_ground,tag=!underwater,rx=-35,rxm=-90] at @s run effect @s levitation 1 9 true
execute as @a[tag=in_morph,tag=is_bat,tag=!on_ground,tag=!underwater,rx=-10,rxm=-35] at @s run effect @s levitation 1 5 true
execute as @a[tag=in_morph,tag=is_bat,tag=!on_ground,tag=!underwater,rx=20,rxm=-10] at @s run effect @s levitation 1 0 true
execute as @a[tag=in_morph,tag=is_bat,tag=!on_ground,tag=!underwater,rx=20,rxm=-10] at @s run effect @s slow_falling 1 0 true
execute as @a[tag=in_morph,tag=is_bat,tag=!on_ground,tag=!underwater,rx=45,rxm=20] at @s run effect @s slow_falling 1 0 true
execute as @a[scores={tick_timer=19,bat_timer=1},tag=in_morph,tag=is_bat,tag=!on_ground,tag=!underwater,rx=45,rxm=20] at @s run effect @s levitation 1 0 true
execute as @a[tag=in_morph,tag=is_bat,tag=!on_ground,tag=!underwater,rx=90,rxm=45] at @s run effect @s slow_falling 1 0 true


## cat
execute as @a[tag=is_cat] at @s run scoreboard players set @s morph 7

# effects while cat	(has no fall damage)
effect @a[tag=is_cat] speed 1 2 true
effect @a[tag=is_cat] jump_boost 1 2 true
effect @a[tag=is_cat] weakness 1 255 true
effect @a[tag=is_cat] mining_fatigue 1 100 true


## wolf
execute as @a[tag=is_wolf] at @s run scoreboard players set @s morph 8

# effects while wolf
effect @a[tag=is_wolf] speed 1 1 true
effect @a[tag=is_wolf] jump_boost 1 1 true
effect @a[tag=is_wolf] weakness 1 255 true
effect @a[tag=is_wolf] mining_fatigue 1 100 true


## fox
execute as @a[tag=is_fox] at @s run scoreboard players set @s morph 9

# effects while fox
effect @a[tag=is_fox] speed 1 1 true
effect @a[tag=is_fox] jump_boost 1 2 true
effect @a[tag=is_fox] weakness 1 255 true
effect @a[tag=is_fox] mining_fatigue 1 100 true


## glare
execute as @a[tag=is_glare] at @s run scoreboard players set @s morph 10

# effects while glare
effect @a[tag=is_glare] night_vision 15 0 true
effect @a[tag=is_glare] weakness 1 255 true
effect @a[tag=is_glare] mining_fatigue 1 100 true

# glare timer
scoreboard objectives add glare_timer dummy
scoreboard players add @a[tag=in_morph,tag=is_glare] glare_timer 0
scoreboard players add @a[scores={tick_timer=19},tag=in_morph,tag=is_glare] glare_timer 1
scoreboard players set @a[scores={glare_timer=3},tag=in_morph,tag=is_glare] glare_timer 0

# glare fly effects
execute as @a[tag=in_morph,tag=is_glare,tag=!on_ground,tag=!underwater,rx=-35,rxm=-90] at @s run effect @s levitation 1 9 true
execute as @a[tag=in_morph,tag=is_glare,tag=!on_ground,tag=!underwater,rx=-10,rxm=-35] at @s run effect @s levitation 1 5 true
execute as @a[tag=in_morph,tag=is_glare,tag=!on_ground,tag=!underwater,rx=20,rxm=-10] at @s run effect @s levitation 1 0 true
execute as @a[tag=in_morph,tag=is_glare,tag=!on_ground,tag=!underwater,rx=20,rxm=-10] at @s run effect @s slow_falling 1 0 true
execute as @a[tag=in_morph,tag=is_glare,tag=!on_ground,tag=!underwater,rx=45,rxm=20] at @s run effect @s slow_falling 1 0 true
execute as @a[scores={tick_timer=19,glare_timer=1},tag=in_morph,tag=is_glare,tag=!on_ground,tag=!underwater,rx=45,rxm=20] at @s run effect @s levitation 1 0 true
execute as @a[tag=in_morph,tag=is_glare,tag=!on_ground,tag=!underwater,rx=90,rxm=45] at @s run effect @s slow_falling 1 0 true


## morph timer and cooldown
# timer
scoreboard objectives add morph_timer dummy
scoreboard players add @a morph_timer 0
#execute as @a[scores={tick_timer=19,morph_timer=1..}] at @s run scoreboard players add @s morph_timer -1
execute as @a[scores={tick_timer=19,morph_timer=-16..}] at @s run scoreboard players add @s morph_timer -1

titleraw @a[scores={morph_timer=1..},tag=is_cat] actionbar {"rawtext":[{"text":"§fBack-Transformation in: §c"},{"score":{"name":"*","objective":"morph_timer"}},{"text":"§f - §bRight click the Transformation-Item to transform back instantly \n§7Attention: If you leave the world while you are in the transformation, \nyou can't teleport back anymore when you join again."}]}
titleraw @a[scores={morph_timer=1..},tag=is_wolf] actionbar {"rawtext":[{"text":"§fBack-Transformation in: §c"},{"score":{"name":"*","objective":"morph_timer"}},{"text":"§f - §bRight click the Transformation-Item to transform back instantly \n§7Attention: If you leave the world while you are in the transformation, \nyou can't teleport back anymore when you join again."}]}
titleraw @a[scores={morph_timer=1..},tag=is_fox] actionbar {"rawtext":[{"text":"§fBack-Transformation in: §c"},{"score":{"name":"*","objective":"morph_timer"}},{"text":"§f - §bRight click the Transformation-Item to transform back instantly \n§7Attention: If you leave the world while you are in the transformation, \nyou can't teleport back anymore when you join again."}]}
titleraw @a[scores={morph_timer=1..},tag=is_phoenix] actionbar {"rawtext":[{"text":"§7                                                    jump to fly \n§fBack-Transformation in: §c"},{"score":{"name":"*","objective":"morph_timer"}},{"text":"§f - §bRight click the Transformation-Item to transform back instantly \n§7Attention: If you leave the world while you are in the transformation, \nyou can't teleport back anymore when you join again."}]}
titleraw @a[scores={morph_timer=1..},tag=is_falcon] actionbar {"rawtext":[{"text":"§7                                                    jump to fly \n§fBack-Transformation in: §c"},{"score":{"name":"*","objective":"morph_timer"}},{"text":"§f - §bRight click the Transformation-Item to transform back instantly \n§7Attention: If you leave the world while you are in the transformation, \nyou can't teleport back anymore when you join again."}]}
titleraw @a[scores={morph_timer=1..},tag=is_owl] actionbar {"rawtext":[{"text":"§7                                                    jump to fly \n§fBack-Transformation in: §c"},{"score":{"name":"*","objective":"morph_timer"}},{"text":"§f - §bRight click the Transformation-Item to transform back instantly \n§7Attention: If you leave the world while you are in the transformation, \nyou can't teleport back anymore when you join again."}]}
titleraw @a[scores={morph_timer=1..},tag=is_bat] actionbar {"rawtext":[{"text":"§7                                                    jump to fly \n§fBack-Transformation in: §c"},{"score":{"name":"*","objective":"morph_timer"}},{"text":"§f - §bRight click the Transformation-Item to transform back instantly \n§7Attention: If you leave the world while you are in the transformation, \nyou can't teleport back anymore when you join again."}]}
titleraw @a[scores={morph_timer=1..},tag=is_glare] actionbar {"rawtext":[{"text":"§7                                                    jump to fly \n§fBack-Transformation in: §c"},{"score":{"name":"*","objective":"morph_timer"}},{"text":"§f - §bRight click the Transformation-Item to transform back instantly \n§7Attention: If you leave the world while you are in the transformation, \nyou can't teleport back anymore when you join again."}]}

#execute as @a[scores={morph_timer=0,morph=3..},tag=in_morph,tag=!end_morph,tag=!used_morph_item] at @s run scoreboard players set @s morph_cooldown 180
#execute as @a[scores={morph_timer=0,morph=3..},tag=in_morph,tag=!end_morph] at @s run tag @s add end_morph
execute as @a[scores={morph_timer=0,morph=3..},tag=in_morph,tag=!end_morph] at @s run summon kits:displays_npc end_morph ~ 350 ~
execute as @a[scores={morph_timer=-1,morph=3..},tag=in_morph,tag=!end_morph] at @s run dialogue open @e[type=kits:displays_npc,name=end_morph,c=1] @s end_morph
	# if player doesn't choose an option in the dialogue after 15sec he will stay at the position
execute as @a[scores={tick_timer=19,morph_timer=-15,morph=3..},tag=in_morph,tag=!end_morph] at @s run scoreboard players set @s morph_cooldown 180
execute as @a[scores={tick_timer=19,morph_timer=-15,morph=3..},tag=in_morph,tag=!end_morph] at @s run damage @e[type=kits:position_memory_entity] 0 anvil entity @s
execute as @a[scores={tick_timer=19,morph_timer=-15,morph=3..},tag=in_morph,tag=!end_morph] at @s run tag @s add stay_at_position
execute as @a[scores={tick_timer=19,morph_timer=-15,morph=3..},tag=in_morph,tag=!end_morph] at @s run tag @s add end_morph

# cooldown
scoreboard objectives add morph_cooldown dummy
scoreboard players add @a morph_cooldown 0
execute as @a[scores={tick_timer=19,morph_cooldown=1..}] at @s run scoreboard players add @s morph_cooldown -1

execute as @a[scores={morph_cooldown=1..},hasitem={item=kits:morph_item,location=slot.weapon.mainhand}] at @s run titleraw @s actionbar {"rawtext":[{"text":"§c[§fCooldown: "},{"score":{"name":"*","objective":"morph_cooldown"}},{"text":"§c]"}]}