### Kits Addon, by MCPE_Map_Maker

## camera
scoreboard objectives add camera dummy
execute as @a[scores={initial_timer=5}] at @s run scoreboard players set @s camera 4
execute as @a[scores={camera=1..},hasitem={item=kits:camera,location=slot.weapon.mainhand}] at @s run titleraw @s actionbar {"rawtext":[{"text":"§l§a"},{"score":{"name":"*","objective":"camera"}},{"text":" Camera(s) left"}]}
execute as @a[scores={camera=0},hasitem={item=kits:camera,location=slot.weapon.mainhand}] at @s run titleraw @s actionbar {"rawtext":[{"text":"§l§cYou already used 4 cameras."}]}


# camera-id-tags (for cameras)
scoreboard objectives add cam_timer dummy
execute as @e[type=kits:camera,tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4] at @s run scoreboard players set @a[scores={cam_timer=1},c=1] cam_timer 2
	# cam_timer=1 wird über camera-item gesetzt
scoreboard players add @a[scores={cam_timer=2..}] cam_timer 1
execute as @a[scores={cam_timer=3}] at @s run damage @e[type=kits:camera] 0 magic entity @s
	# triggers cam-events --> adds existing cam-tags to player (in entity)
	
execute as @a[scores={cam_timer=4}] at @s run tag @s add add_new_cam

execute as @a[scores={cam_timer=5},tag=!cam_1,tag=!added_id] at @s run damage @e[type=kits:camera,r=5] 0 contact entity @s
	# triggers add_cam-events --> adds tag=cam_1 to camera (in entity)
execute as @a[scores={cam_timer=6},tag=!cam_1,tag=!added_id] at @s run tag @s add added_id
execute as @a[scores={cam_timer=7},tag=!cam_1,tag=added_id] at @s run tag @s add cam_1

execute as @a[scores={cam_timer=8},tag=!cam_2,tag=!added_id] at @s run damage @e[type=kits:camera,r=5] 0 contact entity @s
	# triggers add_cam-events --> adds tag=cam_2 to camera (in entity)
execute as @a[scores={cam_timer=9},tag=!cam_2,tag=!added_id] at @s run tag @s add added_id
execute as @a[scores={cam_timer=10},tag=!cam_2,tag=added_id] at @s run tag @s add cam_2

execute as @a[scores={cam_timer=11},tag=!cam_3,tag=!added_id] at @s run damage @e[type=kits:camera,r=5] 0 contact entity @s
	# triggers add_cam-events --> adds tag=cam_3 to camera (in entity)
execute as @a[scores={cam_timer=12},tag=!cam_3,tag=!added_id] at @s run tag @s add added_id
execute as @a[scores={cam_timer=13},tag=!cam_3,tag=added_id] at @s run tag @s add cam_3

execute as @a[scores={cam_timer=14},tag=!cam_4,tag=!added_id] at @s run damage @e[type=kits:camera,r=5] 0 contact entity @s
	# triggers add_cam-events --> adds tag=cam_4 to camera (in entity)
execute as @a[scores={cam_timer=15},tag=!cam_4,tag=!added_id] at @s run tag @s add added_id
execute as @a[scores={cam_timer=16},tag=!cam_4,tag=added_id] at @s run tag @s add cam_4

execute as @a[scores={cam_timer=17}] at @s run tag @s remove cam_1
execute as @a[scores={cam_timer=17}] at @s run tag @s remove cam_2
execute as @a[scores={cam_timer=17}] at @s run tag @s remove cam_3
execute as @a[scores={cam_timer=17}] at @s run tag @s remove cam_4
execute as @a[scores={cam_timer=17}] at @s run tag @s remove added_id
execute as @a[scores={cam_timer=17}] at @s run tag @s remove add_new_cam
execute as @a[scores={cam_timer=18..}] at @s run scoreboard players set @s cam_timer 0


# controls camera-loop, for tablet-sequences
scoreboard objectives add camera_amount dummy
scoreboard players add @a camera_amount 0
execute as @a[scores={tick_timer=1,cam_view=!7..10}] at @s run execute as @s[scores={cam_view=!27..30}] at @s run execute as @s[scores={cam_view=!47..50}] at @s run execute as @s[scores={cam_view=!67..70}] at @s run scoreboard players set @s camera_amount 0
execute as @a[scores={tick_timer=2,cam_view=!7..10}] at @s run execute as @s[scores={cam_view=!27..30}] at @s run execute as @s[scores={cam_view=!47..50}] at @s run execute as @s[scores={cam_view=!67..70}] at @s run damage @e[type=kits:camera] 0 none entity @s
	# triggers count_cameras-event


# camera-loop (camera-morph)
execute as @a[scores={tick_timer=!1,sec_timer=0..10,camera_amount=1..},hasitem={item=kits:tablet_for_camera,location=slot.weapon.mainhand}] at @s run titleraw @s actionbar {"rawtext":[{"text":"§l§a"},{"score":{"name":"*","objective":"camera_amount"}},{"text":" Camera(s) available \n§r§bright click the tablet to get into the cameras or switch between the cameras \nsneak or jump to get out of the cameras \n§7if there are cameras available and the tablet puts out an error, \njust use it once again (it's because of a little bug that isn't fixable)"}]}
execute as @a[scores={tick_timer=!1,sec_timer=11..20,camera_amount=1..},hasitem={item=kits:tablet_for_camera,location=slot.weapon.mainhand}] at @s run titleraw @s actionbar {"rawtext":[{"text":"§l§a"},{"score":{"name":"*","objective":"camera_amount"}},{"text":" Camera(s) available \n§r§bright click the tablet to get into the cameras or switch between the cameras \nsneak or jump to get out of the cameras \n§7Attention: If you leave the world while you are in the camera, \nyou can't teleport back anymore when you join again."}]}
execute as @a[scores={tick_timer=!1,sec_timer=21..30,camera_amount=1..},hasitem={item=kits:tablet_for_camera,location=slot.weapon.mainhand}] at @s run titleraw @s actionbar {"rawtext":[{"text":"§l§a"},{"score":{"name":"*","objective":"camera_amount"}},{"text":" Camera(s) available \n§r§bright click the tablet to get into the cameras or switch between the cameras \nsneak or jump to get out of the cameras \n§7if there are cameras available and the tablet puts out an error, \njust use it once again (it's because of a little bug that isn't fixable)"}]}
execute as @a[scores={tick_timer=!1,sec_timer=31..40,camera_amount=1..},hasitem={item=kits:tablet_for_camera,location=slot.weapon.mainhand}] at @s run titleraw @s actionbar {"rawtext":[{"text":"§l§a"},{"score":{"name":"*","objective":"camera_amount"}},{"text":" Camera(s) available \n§r§bright click the tablet to get into the cameras or switch between the cameras \nsneak or jump to get out of the cameras \n§7Attention: If you leave the world while you are in the camera, \nyou can't teleport back anymore when you join again."}]}
execute as @a[scores={tick_timer=!1,sec_timer=41..50,camera_amount=1..},hasitem={item=kits:tablet_for_camera,location=slot.weapon.mainhand}] at @s run titleraw @s actionbar {"rawtext":[{"text":"§l§a"},{"score":{"name":"*","objective":"camera_amount"}},{"text":" Camera(s) available \n§r§bright click the tablet to get into the cameras or switch between the cameras \nsneak or jump to get out of the cameras \n§7if there are cameras available and the tablet puts out an error, \njust use it once again (it's because of a little bug that isn't fixable)"}]}
execute as @a[scores={tick_timer=!1,sec_timer=51..60,camera_amount=1..},hasitem={item=kits:tablet_for_camera,location=slot.weapon.mainhand}] at @s run titleraw @s actionbar {"rawtext":[{"text":"§l§a"},{"score":{"name":"*","objective":"camera_amount"}},{"text":" Camera(s) available \n§r§bright click the tablet to get into the cameras or switch between the cameras \nsneak or jump to get out of the cameras \n§7Attention: If you leave the world while you are in the camera, \nyou can't teleport back anymore when you join again."}]}

execute as @a[scores={tick_timer=!1,camera_amount=0},hasitem={item=kits:tablet_for_camera,location=slot.weapon.mainhand}] at @s run titleraw @s actionbar {"rawtext":[{"text":"§l§c"},{"score":{"name":"*","objective":"camera_amount"}},{"text":" Camera(s) available"}]}

# camera-morph (cam 1)
	# tag in_camera und in_morph werden über animation_controller gesteuert
scoreboard objectives add cam_view dummy
scoreboard players add @a cam_view 0
execute as @a[scores={cam_view=-1}] at @s run damage @e[type=kits:camera,tag=used_in_loop] 0 drowning entity @s
execute as @a[scores={cam_view=1..2},c=1] at @s run scoreboard players add @s cam_view 1
	# cam_view=1 wird über camera-item gesetzt
execute as @a[scores={cam_view=3..10}] at @s run scoreboard players set @a[scores={cam_view=1..2}] cam_view 1
execute as @a[scores={cam_view=3..10}] at @s run scoreboard players add @s cam_view 1
execute as @a[scores={cam_view=4}] at @s run damage @e[type=kits:camera,tag=!used_in_loop] 0 anvil entity @s
	# gibt alle cam-tags an spieler von cameras die er hat (in entity)
execute as @a[scores={cam_view=5},tag=cam_1] at @s run damage @e[type=kits:camera,tag=cam_1,tag=!used_in_loop] 0 fall entity @s
execute as @a[scores={cam_view=5},tag=cam_1] at @s run tellraw @s {"rawtext":[{"text":"§aCamera 1 [ID: 1]"}]}
execute as @a[scores={cam_view=5},tag=!cam_1,tag=cam_2] at @s run damage @e[type=kits:camera,tag=cam_2,tag=!used_in_loop] 0 fall entity @s
execute as @a[scores={cam_view=5},tag=!cam_1,tag=cam_2] at @s run tellraw @s {"rawtext":[{"text":"§aCamera 1 [ID: 2]"}]}
execute as @a[scores={cam_view=5},tag=!cam_1,tag=!cam_2,tag=cam_3] at @s run damage @e[type=kits:camera,tag=cam_3,tag=!used_in_loop] 0 fall entity @s
execute as @a[scores={cam_view=5},tag=!cam_1,tag=!cam_2,tag=cam_3] at @s run tellraw @s {"rawtext":[{"text":"§aCamera 1 [ID: 3]"}]}
execute as @a[scores={cam_view=5},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=cam_4] at @s run damage @e[type=kits:camera,tag=cam_4,tag=!used_in_loop] 0 fall entity @s
execute as @a[scores={cam_view=5},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=cam_4] at @s run tellraw @s {"rawtext":[{"text":"§aCamera 1 [ID: 4]"}]}
	# gibt player_in_camera_1-tag zur camera (in entity)
tp @a[scores={cam_view=6}] @e[type=kits:camera,tag=player_in_camera_1,tag=!used_in_loop]
ride @a[scores={cam_view=7..10}] start_riding @e[type=kits:camera,tag=player_in_camera_1,tag=!used_in_loop] teleport_rider
execute as @a[scores={cam_view=7..10}] at @s run tag @e[type=kits:camera,tag=player_in_camera_1,tag=!used_in_loop,r=1.2,c=1] add used_in_loop
execute as @a[scores={cam_view=7..10}] at @s run tag @e[type=kits:camera,tag=player_in_camera_1,tag=used_in_loop,r=1.2,c=1] remove player_in_camera_1
execute as @a[scores={cam_view=8..10,camera_amount=0..}] at @s run tag @s remove cam_1
execute as @a[scores={cam_view=8..10,camera_amount=0..}] at @s run tag @s remove cam_2
execute as @a[scores={cam_view=8..10,camera_amount=0..}] at @s run tag @s remove cam_3
execute as @a[scores={cam_view=8..10,camera_amount=0..}] at @s run tag @s remove cam_4
execute as @a[scores={cam_view=8..10,camera_amount=0..}] at @s run tag @s remove switch_cam
execute as @a[scores={cam_view=8..10,camera_amount=0},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run tag @s add end_camera
execute as @a[scores={cam_view=8..10,camera_amount=0},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam,tag=end_camera] at @s run scoreboard players set @s cam_view -1
	# zur sicherheit falls alle cameras während morph zerstört werden --> nicht nur score zurücksetzen sondern kompletten morph
execute as @a[scores={cam_view=8..10,camera_amount=1},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run scoreboard players set @s cam_view -1
execute as @a[scores={cam_view=8..10,camera_amount=2..},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run scoreboard players set @s cam_view 20

# camera-morph (cam 2)
	# tag in_camera und in_morph werden über animation_controller gesteuert
scoreboard objectives add cam_view dummy
execute as @a[scores={cam_view=21..22},c=1] at @s run scoreboard players add @s cam_view 1
	# cam_view=21 wird über camera-item gesetzt
execute as @a[scores={cam_view=23..30}] at @s run scoreboard players set @a[scores={cam_view=21..22}] cam_view 21
execute as @a[scores={cam_view=23..30}] at @s run scoreboard players add @s cam_view 1
execute as @a[scores={cam_view=24}] at @s run damage @e[type=kits:camera,tag=!cam_1,tag=!used_in_loop] 0 falling_block entity @s
	# gibt alle cam-tags an spieler von cameras die er hat (in entity)
execute as @a[scores={cam_view=25},tag=cam_2] at @s run damage @e[type=kits:camera,tag=cam_2,tag=!used_in_loop] 0 starve entity @s
execute as @a[scores={cam_view=25},tag=cam_2] at @s run tellraw @s {"rawtext":[{"text":"§aCamera 2 [ID: 2]"}]}
execute as @a[scores={cam_view=25},tag=!cam_2,tag=cam_3] at @s run damage @e[type=kits:camera,tag=cam_3,tag=!used_in_loop] 0 starve entity @s
execute as @a[scores={cam_view=25},tag=!cam_2,tag=cam_3] at @s run tellraw @s {"rawtext":[{"text":"§aCamera 2 [ID: 3]"}]}
execute as @a[scores={cam_view=25},tag=!cam_2,tag=!cam_3,tag=cam_4] at @s run damage @e[type=kits:camera,tag=cam_4,tag=!used_in_loop] 0 starve entity @s
execute as @a[scores={cam_view=25},tag=!cam_2,tag=!cam_3,tag=cam_4] at @s run tellraw @s {"rawtext":[{"text":"§aCamera 2 [ID: 4]"}]}
	# gibt player_in_camera_2-tag zur camera (in entity)
tp @a[scores={cam_view=26}] @e[type=kits:camera,tag=player_in_camera_2,tag=!used_in_loop]
ride @a[scores={cam_view=27..30}] start_riding @e[type=kits:camera,tag=player_in_camera_2,tag=!used_in_loop] teleport_rider
execute as @a[scores={cam_view=27..30}] at @s run tag @e[type=kits:camera,tag=player_in_camera_2,tag=!used_in_loop,r=1.2,c=1] add used_in_loop
execute as @a[scores={cam_view=27..30}] at @s run tag @e[type=kits:camera,tag=player_in_camera_2,tag=used_in_loop,r=1.2,c=1] remove player_in_camera_2
execute as @a[scores={cam_view=28..30,camera_amount=0..}] at @s run tag @s remove cam_1
execute as @a[scores={cam_view=28..30,camera_amount=0..}] at @s run tag @s remove cam_2
execute as @a[scores={cam_view=28..30,camera_amount=0..}] at @s run tag @s remove cam_3
execute as @a[scores={cam_view=28..30,camera_amount=0..}] at @s run tag @s remove cam_4
execute as @a[scores={cam_view=28..30,camera_amount=0..}] at @s run tag @s remove switch_cam
execute as @a[scores={cam_view=28..30,camera_amount=0},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run tag @s add end_camera
execute as @a[scores={cam_view=28..30,camera_amount=0},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam,tag=end_camera] at @s run scoreboard players set @s cam_view -1
	# zur sicherheit falls alle cameras während morph zerstört werden --> nicht nur score zurücksetzen sondern kompletten morph
execute as @a[scores={cam_view=28..30,camera_amount=1..2},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run scoreboard players set @s cam_view -1
execute as @a[scores={cam_view=28..30,camera_amount=3..},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run scoreboard players set @s cam_view 40

# camera-morph (cam 3)
	# tag in_camera und in_morph werden über animation_controller gesteuert
scoreboard objectives add cam_view dummy
execute as @a[scores={cam_view=41..42},c=1] at @s run scoreboard players add @s cam_view 1
	# cam_view=41 wird über camera-item gesetzt
execute as @a[scores={cam_view=43..50}] at @s run scoreboard players set @a[scores={cam_view=41..42}] cam_view 41
execute as @a[scores={cam_view=43..50}] at @s run scoreboard players add @s cam_view 1
execute as @a[scores={cam_view=44}] at @s run damage @e[type=kits:camera,tag=!cam_1,tag=!cam_2,tag=!used_in_loop] 0 fly_into_wall entity @s
	# gibt alle cam-tags an spieler von cameras die er hat (in entity)
execute as @a[scores={cam_view=45},tag=cam_3] at @s run damage @e[type=kits:camera,tag=cam_3,tag=!used_in_loop] 0 piston entity @s
execute as @a[scores={cam_view=45},tag=cam_3] at @s run tellraw @s {"rawtext":[{"text":"§aCamera 3 [ID: 3]"}]}
execute as @a[scores={cam_view=45},tag=!cam_3,tag=cam_4] at @s run damage @e[type=kits:camera,tag=cam_4,tag=!used_in_loop] 0 piston entity @s
execute as @a[scores={cam_view=45},tag=!cam_3,tag=cam_4] at @s run tellraw @s {"rawtext":[{"text":"§aCamera 3 [ID: 4]"}]}
	# gibt player_in_camera_3-tag zur camera (in entity)
tp @a[scores={cam_view=46}] @e[type=kits:camera,tag=player_in_camera_3,tag=!used_in_loop]
ride @a[scores={cam_view=47..50}] start_riding @e[type=kits:camera,tag=player_in_camera_3,tag=!used_in_loop] teleport_rider
execute as @a[scores={cam_view=47..50}] at @s run tag @e[type=kits:camera,tag=player_in_camera_3,tag=!used_in_loop,r=1.2,c=1] add used_in_loop
execute as @a[scores={cam_view=47..50}] at @s run tag @e[type=kits:camera,tag=player_in_camera_3,tag=used_in_loop,r=1.2,c=1] remove player_in_camera_3
execute as @a[scores={cam_view=48..50,camera_amount=0..}] at @s run tag @s remove cam_1
execute as @a[scores={cam_view=48..50,camera_amount=0..}] at @s run tag @s remove cam_2
execute as @a[scores={cam_view=48..50,camera_amount=0..}] at @s run tag @s remove cam_3
execute as @a[scores={cam_view=48..50,camera_amount=0..}] at @s run tag @s remove cam_4
execute as @a[scores={cam_view=48..50,camera_amount=0..}] at @s run tag @s remove switch_cam
execute as @a[scores={cam_view=48..50,camera_amount=0},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run tag @s add end_camera
execute as @a[scores={cam_view=48..50,camera_amount=0},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam,tag=end_camera] at @s run scoreboard players set @s cam_view -1
	# zur sicherheit falls alle cameras während morph zerstört werden --> nicht nur score zurücksetzen sondern kompletten morph
execute as @a[scores={cam_view=48..50,camera_amount=1..3},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run scoreboard players set @s cam_view -1
execute as @a[scores={cam_view=48..50,camera_amount=4..},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run scoreboard players set @s cam_view 60

# camera-morph (cam 4)
	# tag in_camera und in_morph werden über animation_controller gesteuert
scoreboard objectives add cam_view dummy
execute as @a[scores={cam_view=61..62},c=1] at @s run scoreboard players add @s cam_view 1
	# cam_view=61 wird über camera-item gesetzt
execute as @a[scores={cam_view=63..70}] at @s run scoreboard players set @a[scores={cam_view=61..62}] cam_view 61
execute as @a[scores={cam_view=63..70}] at @s run scoreboard players add @s cam_view 1
execute as @a[scores={cam_view=64}] at @s run damage @e[type=kits:camera,tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!used_in_loop] 0 fire entity @s
	# gibt alle cam-tags an spieler von cameras die er hat (in entity)
execute as @a[scores={cam_view=65},tag=cam_4] at @s run damage @e[type=kits:camera,tag=cam_4,tag=!used_in_loop] 0 void entity @s
execute as @a[scores={cam_view=65},tag=cam_4] at @s run tellraw @s {"rawtext":[{"text":"§aCamera 4 [ID: 4]"}]}
	# gibt player_in_camera_4-tag zur camera (in entity)
tp @a[scores={cam_view=66}] @e[type=kits:camera,tag=player_in_camera_4,tag=!used_in_loop]
ride @a[scores={cam_view=67..70}] start_riding @e[type=kits:camera,tag=player_in_camera_4,tag=!used_in_loop] teleport_rider
execute as @a[scores={cam_view=67..70}] at @s run tag @e[type=kits:camera,tag=player_in_camera_4,tag=!used_in_loop,r=1.2,c=1] add used_in_loop
execute as @a[scores={cam_view=67..70}] at @s run tag @e[type=kits:camera,tag=player_in_camera_4,tag=used_in_loop,r=1.2,c=1] remove player_in_camera_4
execute as @a[scores={cam_view=68..70,camera_amount=0..}] at @s run tag @s remove cam_1
execute as @a[scores={cam_view=68..70,camera_amount=0..}] at @s run tag @s remove cam_2
execute as @a[scores={cam_view=68..70,camera_amount=0..}] at @s run tag @s remove cam_3
execute as @a[scores={cam_view=68..70,camera_amount=0..}] at @s run tag @s remove cam_4
execute as @a[scores={cam_view=68..70,camera_amount=0..}] at @s run tag @s remove switch_cam
execute as @a[scores={cam_view=68..70,camera_amount=0},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run tag @s add end_camera
execute as @a[scores={cam_view=68..70,camera_amount=0},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam,tag=end_camera] at @s run scoreboard players set @s cam_view -1
	# zur sicherheit falls alle cameras während morph zerstört werden --> nicht nur score zurücksetzen sondern kompletten morph
execute as @a[scores={cam_view=68..70,camera_amount=1..4},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run scoreboard players set @s cam_view -1
execute as @a[scores={cam_view=68..70,camera_amount=5..},tag=!cam_1,tag=!cam_2,tag=!cam_3,tag=!cam_4,tag=!switch_cam] at @s run scoreboard players set @s cam_view -1


# tests if players is in a camera or not (additionally also in animation_controller)
scoreboard objectives add camera_test dummy
scoreboard players add @a camera_test 0
execute as @e[type=kits:camera] at @s run scoreboard players set @a[scores={cam_view=-1},tag=in_camera,tag=in_morph,r=1.2,c=1] camera_test 5
execute as @e[type=kits:camera] at @s run scoreboard players set @a[scores={cam_view=20},tag=in_camera,tag=in_morph,r=1.2,c=1] camera_test 5
execute as @e[type=kits:camera] at @s run scoreboard players set @a[scores={cam_view=40},tag=in_camera,tag=in_morph,r=1.2,c=1] camera_test 5
execute as @e[type=kits:camera] at @s run scoreboard players set @a[scores={cam_view=60},tag=in_camera,tag=in_morph,r=1.2,c=1] camera_test 5
execute as @a[scores={cam_view=-1,camera_test=1..},tag=!in_camera,tag=in_morph] at @s run scoreboard players add @s camera_test -1
execute as @a[scores={cam_view=-1,camera_test=2},tag=!in_camera,tag=in_morph] at @s run tag @s add end_camera
execute as @a[scores={cam_view=20,camera_test=1..},tag=!in_camera,tag=in_morph] at @s run scoreboard players add @s camera_test -1
execute as @a[scores={cam_view=20,camera_test=2},tag=!in_camera,tag=in_morph] at @s run tag @s add end_camera
execute as @a[scores={cam_view=40,camera_test=1..},tag=!in_camera,tag=in_morph] at @s run scoreboard players add @s camera_test -1
execute as @a[scores={cam_view=40,camera_test=2},tag=!in_camera,tag=in_morph] at @s run tag @s add end_camera
execute as @a[scores={cam_view=60,camera_test=1..},tag=!in_camera,tag=in_morph] at @s run scoreboard players add @s camera_test -1
execute as @a[scores={cam_view=60,camera_test=2},tag=!in_camera,tag=in_morph] at @s run tag @s add end_camera
execute as @a[scores={camera_test=1},tag=!in_camera,tag=in_morph] at @s run scoreboard players set @s cam_view -1


# effects while in camera --> to be completely invisible (also armor and holded items) it uses animations in the resource pack
#effect @a[tag=in_camera] invisibility 1 1 true
effect @a[tag=in_camera] resistance 1 255 true
effect @a[tag=in_camera] fire_resistance 1 100 true
effect @a[tag=in_camera] weakness 1 255 true
effect @a[tag=in_camera] mining_fatigue 1 100 true